/* Parameter Definition for eSAR */

	/* File */
	char fhead[80]; /* file header = input data file name */

	/* Data size */
	int nazimuth, nrange; /* actual datasize */
	int nazimuth_fft, nrange_fft; /* for FFT */
	double nominal_mean_I, nominal_mean_Q;
	double DC_bias_I, DC_bias_Q;	
	double *data, *range_chirp_data, *azimuth_chirp_data;

	/* Pulses */
	double carrier_frequency, wavelength;
	double chirp_rate, chirp_duration;
	double range_sampling_frequency, pulse_repetition_frequency;
	double delta_t, delta_s;
	double range_first_time, range_centre_time, range_last_time;
	double range_first, range_centre, range_last; /* distance */
	double nominal_incidence_degree, nominal_incidence_radian;

	/* Doppler Parameters */
	double Doppler_centroid, Doppler_rate;
	double satellite_velocity, satellite_squint_radian;
	double coherent_integration_time;
	double antenna_azimuth_length;

	/* Satellite state vectors */
/*	int nstate_vector;
	double **state_position, **state_velocity;
*/

	/* Resolutions */
	double range_bandwidth, range_time_resolution;
	double slant_range_resolution, ground_range_resolution;
	double azimuth_bandwidth;
	double azimuth_time_resolution, azimuth_resolution;
	double range_pixel_size, azimuth_pixel_size;
	double range_compression_ratio, azimuth_compression_ratio;
	
	/* General Paramters */
	double cspeed, pi;



